OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
MoniTool

# MoniTool_RealVal Class Reference

A Real through a Handle (i.e. managed as TShared)
.

`#include <MoniTool_RealVal.hxx>`

## Public Member Functions
Standard_EXPORT | MoniTool_RealVal (const Standard_Real val=0.0)
Standard_EXPORT Standard_Real | Value () const
Standard_EXPORT Standard_Real & | CValue ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Real | theval

## Constructor & Destructor Documentation

Standard_EXPORT MoniTool_RealVal::MoniTool_RealVal | ( | const Standard_Real | val = `0.0` | ) |

## Member Function Documentation

Standard_EXPORT Standard_Real& MoniTool_RealVal::CValue | ( |  | ) |

Standard_EXPORT const MoniTool_RealVal::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Real MoniTool_RealVal::Value | ( |  | ) | const

## Field Documentation

Standard_Real MoniTool_RealVal::theval`[private]`

The documentation for this class was generated from the following file:

- MoniTool_RealVal.hxx